/* Actions */
import {
    ADD_PAYMENTS_MOVE_LINES,
    REMOVE_PAYMENTS_MOVE_LINES
} from '@/constants/actionTypes'
/* Mutations */
import {
    SET_ADD_PAYMENTS_MOVE_LINES,
    SET_REMOVE_PAYMENTS_MOVE_LINES
} from '@/constants/mutationTypes'

const initialState = {
    paymentsMoveLines: [],
    paymentsTotal: 0
}
const state = {
    paymentsMoveLines: initialState.paymentsMoveLines,
    paymentsTotal: initialState.paymentsTotal
}

const getters = {
    /**
     * [paymentsMoveLines description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    paymentsMoveLines ( state ) {
        return state.paymentsMoveLines
    },
    /**
     * [paymentsTotal description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    paymentsTotal ( state ) {
        return state.paymentsTotal
    }
}

const mutations = {
    /**
     * [paymentsMoveLines description]
     * @type {Array}
     */
    [SET_ADD_PAYMENTS_MOVE_LINES] (state, payload) {
        state.paymentsMoveLines = [payload, ...state.paymentsMoveLines]
    },
    /**
     * [actions description]
     * @type {Object}
     */
    [SET_REMOVE_PAYMENTS_MOVE_LINES] (state, payload) {
        console.log('Opa ainda nao ');
    }
}

const actions = {
    /**
     * [ADD_PAYMENTS_MOVE_LINES]
     */
    [ADD_PAYMENTS_MOVE_LINES] ({ commit}, payload ) {
        commit(SET_ADD_PAYMENTS_MOVE_LINES, payload)
    },
    /**
     * [REMOVE_PAYMENTS_MOVE_LINES]
     */
    [REMOVE_PAYMENTS_MOVE_LINES] ({ commit }, payload ) {
        commit(SET_REMOVE_PAYMENTS_MOVE_LINES, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
